#ifndef _UTIL_H
#define _UTIL_H



#include "trace.h"                      // struct tracerec
#include "queue.h"                      // struct flowdata



/*
 * next part deals with user options and their
 * relationship with hashing and comparing
 */

extern void update_sh( tracerec *, flowdata *);
extern void update_sn( tracerec *, flowdata *);
extern void update_dh( tracerec *, flowdata *);
extern void update_dn( tracerec *, flowdata *);
extern void update_np( tracerec *, flowdata *);
extern void update_hp( tracerec *, flowdata *);
extern void update_pq( tracerec *, flowdata *);

struct objdesc {
    char *option;
    void (*update)(tracerec *, flowdata *);
};

extern struct objdesc objtypes[];
#define NOBJ    (sizeof(objtypes) / sizeof(objtypes[0]))

#define TRUE    1
#define FALSE   0

int flowcmp( struct flowdata *f1, struct flowdata *f2 );
int findobj( char *cp );
void dumpobjtypes();
void update_pq( tracerec *rp, flowdata *fd );



#endif      // not included yet
